Bug 16545 - could not find function "checkAtAssignment"
Summary: could not find function "checkAtAssignment"
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Misc (show other bugs)
Version: R-devel (trunk)
Hardware: x86_64/x64/amd64 (64-bit) Linux-RHEL
: P5 normal
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2015-09-25 13:13 UTC by Benjamin Tyner
Modified: 2015-10-09 13:09 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Tyner 2015-09-25 13:13:52 UTC
Here is my sessionInfo()

    R version 3.2.2 (2015-08-14)
    Platform: x86_64-pc-linux-gnu (64-bit)
    Running under: Red Hat Enterprise Linux Server release 6.4 (Santiago)

    locale:
     [1] LC_CTYPE=en_US       LC_NUMERIC=C         LC_TIME=en_US
     [4] LC_COLLATE=en_US     LC_MONETARY=en_US    LC_MESSAGES=en_US
     [7] LC_PAPER=en_US       LC_NAME=C            LC_ADDRESS=C
    [10] LC_TELEPHONE=C       LC_MEASUREMENT=en_US LC_IDENTIFICATION=C

    attached base packages:
    [1] stats     graphics  grDevices utils     datasets  base

If I run from the command line:

   Rscript -e "library(Matrix); mapply('*', list(1), list(Matrix(1, 1, 1)))"

then it gives

    Error in .Primitive("*")(dots[[1L]][[1L]], dots[[2L]][[1L]]) :
      could not find function "checkAtAssignment"
    Calls: mapply -> <Anonymous> -> <Anonymous>
    3: mapply("*", list(x), list(y))
    2: .Primitive("*")(dots[[1L]][[1L]], dots[[2L]][[1L]])
    1: .Primitive("*")(dots[[1L]][[1L]], dots[[2L]][[1L]])

the issue goes away if I explicitly load methods:

   Rscript -e "library(methods); library(Matrix); mapply('*', list(1), list(Matrix(1, 1, 1)))"

    [[1]]
    1 x 1 Matrix of class "dsyMatrix"
         [,1]
    [1,]    1

by the way, bugzilla is not allowing me to select R version 3.2.2 from the drop-down menu.

Regards
Ben
Comment 1 Benjamin Tyner 2015-09-25 13:25:25 UTC
Apologies, I forgot that Matrix is "Priority: recommended" rather than "Priority: base". I will report directly to Douglas Bates / Martin Maechler.
Comment 2 Martin Maechler 2015-10-05 10:06:01 UTC
This is clearly a bug in R - well reproducible e.g., with

> CC <- setClass("CC", representation(x = "numeric")); cc <- CC(); cc@x <- pi
> detach("package:methods")
> cc@x <- 10*pi
Error in cc@x <- 10 * pi : could not find function "checkAtAssignment"
> 

Yes, I'm working at fixing it ...
Comment 3 Benjamin Tyner 2015-10-05 13:55:52 UTC
Thank you Martin. I've re-named the summary accordingly.
Comment 4 Martin Maechler 2015-10-06 12:20:57 UTC
Fixed in svn rev 69479   [in R-devel; to be ported to R-patched)